Screen refresh problems with nvidia cards

Bug #269904 reported by David Prieto
854
This bug affects 190 people
Affects Status Importance Assigned to Milestone
Compiz
High
Christopher Townsend
0.9.11
High
Christopher Townsend
Compiz Core
Undecided
Unassigned
0.9.8
Undecided
Unassigned
compiz (Ubuntu)
Medium
Unassigned
Declined for Hardy by Timo Aaltonen
Declined for Jaunty by Timo Aaltonen
Intrepid
Medium
Unassigned
Precise
Undecided
Unassigned
Trusty
Medium
Unassigned
compiz-fusion-plugins-main (Debian)
Fix Released
Unknown
compiz-fusion-plugins-main (Ubuntu)
Undecided
Unassigned
Declined for Hardy by Timo Aaltonen
Declined for Jaunty by Timo Aaltonen
compiz-plugins-main (Ubuntu)
Undecided
Unassigned
Declined for Hardy by Timo Aaltonen
Declined for Jaunty by Timo Aaltonen
Intrepid
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[Impact]

Users of Nvidia gfx using the proprietary driver may see screen corruption during certain operations.

[Test Case]

* Install an Nvidia graphics adapter and the proprietary driver.
* Observe the graphics corrupt.
* Install the version of Compiz with this fix.
* Observe corruption is gone.

[Regression Potential]

The patch for this was provided by Nvidia. There could be some corner cases users hit that may cause other issues. That said, enough testing has been done to confidently say that the gains provided by this fix far outweigh any corner cases.

-----------------------

Original Description:

== Proposed compiz-fusion-plugins-main patch ==
See comment 234 by Anders Kaseorg and attached compiz-fusion-plugins-main_0.8.2-0ubuntu2.debdiff.

== Original report ==
Binary package hint: compiz

I'm using latest compiz on intrepid.

Since jockey-gtk does not work on my box (I already filed a bug), I manually installed nvidia-glx-177 and added the "driver → nvidia" line to xorg.conf.

Now I seem to be having some screen refresh problems when using compiz: parts of the screen are refreshed, but others aren't. That means nautilus doesn't show files or folders until I move the cursor over them, firefox doesn't show webpages properly until I scroll down, and so on.

Please, tell me if there is any additional info I can provide to find out the cause.

Related branches

Revision history for this message
none (ubuntu-bugs-nullinfinity-deactivatedaccount) wrote :

I also have this problem, running Intrepid with latest updates. For me, the problem is worst in Firefox. Under Metacity, everything looks fine.

Revision history for this message
none (ubuntu-bugs-nullinfinity-deactivatedaccount) wrote :
Revision history for this message
none (ubuntu-bugs-nullinfinity-deactivatedaccount) wrote :
Revision history for this message
Saivann Carignan (oxmosys) wrote :

I also confirm this problem. Setting status to confirmed and importance to medium.

Changed in compiz:
importance: Undecided → Medium
status: New → Confirmed
Revision history for this message
Chris Halse Rogers (raof) wrote : Re: Screen refresh problems with nvidia on intrepid

Is everyone here using the nvidia-glx-177 drivers? Does this problem occur when using the nvidia-glx-173 drivers?

It sounds like a problem with Compiz's damage system, but it'd be worth ruling out the drivers. I don't see this problem myself.

Revision history for this message
David Prieto (frandavid100-gmail) wrote :

Reverting to 173 seems to have solved the problem here. I could only test it for a few minutes so I'll update if it shows up again, but it seems like it's gone so far.

Revision history for this message
none (ubuntu-bugs-nullinfinity-deactivatedaccount) wrote :

For me, reverting to -173 does not help.

Revision history for this message
Martin Arver (martin-arver) wrote :

Reverting to 173 solved the problem for me.

Revision history for this message
lefthand (lefthand) wrote :

I'm having the same problem with an Intel GM965. I am using the Vesa driver, so that may be the problem. It seems like it's happening less in the last few days, not sure what has changed though.

Revision history for this message
none (ubuntu-bugs-nullinfinity-deactivatedaccount) wrote :

I take back my earlier comment. -173 fixes the problem for me too.

Revision history for this message
Saivann Carignan (oxmosys) wrote :

Yes, I also confirm, this bug only happens with nvidia-graphics-drivers-177

Changed in nvidia-graphics-drivers-177:
importance: Undecided → Medium
status: New → Confirmed
Revision history for this message
Fernando Miguel (fernandomiguel) wrote :

I'm currently using 177, but when i used 173, I remeber having the same problem.

Revision history for this message
Alexander Jones (alex-weej) wrote :

Of note, Metacity's compositor does not have any problems.

Revision history for this message
Fernando Miguel (fernandomiguel) wrote :

Yes Alex, previous comments already noted that Metacity is fine...

Revision history for this message
Alexander Jones (alex-weej) wrote :

It's important to know that Metacity's *COMPOSITOR* (enable it in gconf) does not have any problems. That's the difference.

Revision history for this message
David Prieto (frandavid100-gmail) wrote :
Revision history for this message
Martin Arver (martin-arver) wrote :

I ran the nvidia-bug-report tool, to see if there were something strange with my installation.
That tool scanned /var/log/messages for NVRM messages.
Several API-mismatch messeges were reported, wonder why 173.14.12 is still present in my system.

Sep 15 19:43:22 martin-laptop kernel: [ 280.996545] NVRM: API mismatch: the client has the version 173.14.12, but
Sep 15 19:43:22 martin-laptop kernel: [ 280.996546] NVRM: this kernel module has the version 177.70. Please
Sep 15 19:43:22 martin-laptop kernel: [ 280.996547] NVRM: make sure that this kernel module and all NVIDIA driver
Sep 15 19:43:22 martin-laptop kernel: [ 280.996548] NVRM: components have the same version.
Sep 15 19:45:05 martin-laptop kernel: [ 15.172429] NVRM: loading NVIDIA UNIX x86 Kernel Module 173.14.12 Thu Jul 17 18:11:36 PDT 2008

I'll attach the output from var/log/messages

Revision history for this message
Rocko (rockorequin) wrote :

I can reproduce this frequently just by switching between images in GQView that have different widths: the sides of the wider image are often left behind next to the narrower image (see attached screenshot. The nvidia driver put the black bars in on the side).

This doesn't happen with the nvidia 173.14.12 driver, only with the 177.70 driver. I'm running 2.6.27-3 amd64 and GQView 2.0.4-3.

Revision history for this message
Martin Arver (martin-arver) wrote :

It looks like the 177.76 update fixed the issue for me. I haven't been able to recreate the rendering problems after I updated.

Revision history for this message
Rocko (rockorequin) wrote :

I still get the corruption problems in GQView with the 177.76 driver.

Also, if I make a blank document in GIMP, make the mouse the paintbrush and move the mouse around, bits of the mouse cursor still get left randomly on the screen image with this driver.

Neither problem happens in the 173.14.12 driver.

Revision history for this message
Oli (oli) wrote :

I still get the problem with 177.76, albeit less frequently.

Revision history for this message
Martin Arver (martin-arver) wrote :

I can confirm that the gimp-problem that Rocko describes is still there for me, using 177.76.

Revision history for this message
henriq (henriq) wrote :

I had this problem on kernel 2.6.27.3 but after the update to 2.6.27.4 it seems to have gone away. I'm using the 177 nvidia drivers on a nvidia mobile 8400gs

Revision history for this message
Oli (oli) wrote :

I'm still getting the problem, though I think it's happening less often than before.

Most GTK+ things are redrawing fine now with the exception of Firefox and webkit loading images (sometimes the image loads as black until I either scroll it off the page and back on again, or force a whole-screen refresh using Compiz' desktop cube effect)

I'm still getting a lot of issues with Qt apps - the most notable being Amarok. It's easily reproducable here by selecting a menu and skimming over all the entries. Some are left selected when they shouldn't be.

Revision history for this message
Oli (oli) wrote :

That's with a 8800GTS, 177.76 and 2.6.27-4-generic (2.6.27.4.4)

Revision history for this message
jking2100 (laptop-jck-family) wrote :

I am using the latest updates as of 12:51pm Oct-04-2008. Nvidia 177.78 Driver, Nvidia Quadro 135m and Kernel 2.6.27-4 32bit. I receive the problem with 177.70, 177.76 and 177.78. Sits at Searching for Driver and will not proceed. Once i choose cancel compiz effects are present. But screen refresh problems exist in many tabbed applications such as Firefox or Avant Window Manager Preferences.

JKing

Revision history for this message
Andrew Tamoney (tamoneya) wrote :

I can confirm this problem with 177.80.
Nvidia Quadro 140m, 2.6.27-6 64 bit.
The system is fully updated at the moment.
I notice it primarily with firefox since I am not using awn or gimp at the moment.

Revision history for this message
Nick B. (futurepilot) wrote :

Confirming this still happens with 177.80. In fact it seems to have gotten worse.

Revision history for this message
Nick A (nickalleyne) wrote :

I agree with Nick B. above me, it is a LOT worse, actually un-useable to some extent so I will be going to 173 until I hear something is fixed with this.

Dell D630

As I posted in ubuntu forums:
I have been using intrepid since sunday and had no problems, but with the new version, every time I go to a screen in firefox that has any pictures, if I Page down, it looks as if nothing has changed, but then if I click the down button from there the screen will appear (or if I roll over any links that change colour with the mouse, they will appear).

Revision history for this message
Rocko (rockorequin) wrote :

For me this bug is present in 177.80 in exactly the same way as with the previous 177.76 drivers. (Dell XPS 1530 laptop, NVidia mobile 8600 card.)

The easiest way is to confirm it is to run GIMP, create a blank drawing, select the drawing tool so you get a circular cursor, and move the cursor around a blank drawing. Bits of the cursor remain behind on the blank drawing.

GCView also has the same problem as I reported before - it sometimes only redraws the new image, leaving parts of the old behind.

Occasionally I get other problems like Firefox not refreshing properly but they are relatively rare.

Revision history for this message
Andrew Tamoney (tamoneya) wrote :

It seems to have gotten worse on my hardware. I didnt even notice it until i switched to 177.80.

Revision history for this message
hrushikesh (hrushikesh) wrote :

Confirm it on a Dell XPS M1330 with the Nvidia 177 drivers.

If I enable 'scale' plugin in compiz, and then 'scale' by moving the mouse pointer to the edge of the screen, the firefox (and possibly other) windows refresh.

Revision history for this message
Aaron Plattner (aplattner) wrote :

This sounds a lot like this problem, which is unfortunately a fundamental problem in the way the Damage extension is currently designed: http://lists.freedesktop.org/archives/xorg/2008-August/038022.html

The quick summary is that the X server sends damage events to compiz before sending the rendering commands to the hardware, and compiz can respond to those events before the damage has actually occurred. Some solutions have been proposed, but nothing has been implemented yet.

Revision history for this message
morryis (morryis) wrote :

I see different refreshing problems with intrepid:
- Everytime a new window or menu opens, for a short time I see artifacts of the background image or an old window.
- When viewing pictures with gthumb or gqview in fullscreen mode, the old image ist left behind when drawing a new one (even appears sometimes later when opening a new window, see above).
- In Ooo and Evolution while writing text or a new email, when I manually move the cursor with the arrow keys it leaves black bars on every position. The screen is refreshed correctly when i point and click somewhere else with the mousepointer. Especially this is really annoying!

I noticed one interesting thing: when I start compiz manually on startup, using FusionIcon, these problems do not occur. When compiz is started by ubuntu i.e. the visual effects settings, i get refresh problems. After disabling them by visual effect settings and reactivating them again, I still experience artifacts. But when i use FusionIcon, all refreshing problems are gone. I could not figure out, what the difference between starting compiz via FusionIcon or by visual effects settings is.

Revision history for this message
Supersaiyan_IV (saiyan-iv) wrote :

I confirm this on Dell XPS M1330 with nvidia 177.80. Running Intrepid with latest updates.

Revision history for this message
enubuntu (enubuntu) wrote :

I confirm this on Asus Z53S with nvidia 177.80 driver installed with envy. I try the driver proposed by ubuntu, same result. 173 driver too....
I use Intrepid with all update.
please help :(

Revision history for this message
Ciso (cisoprogressivo) wrote :

Same problem with Dell XPS M1330 in intrepid.
I have problem with Firefox and emesene.

Revision history for this message
James Lambert (jms-lambert) wrote :

This seems to have gotten a lot worse with the latest set of nvidia updates, Firefox now doesn't update properly whenever I open a tab, this used to only happen occasionally.

Revision history for this message
®om (rom1v) wrote :

Same problem for me : https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/281065
Ubuntu Intrepid 64 bits beta + nvidia 177

Revision history for this message
Joakim Andersson (jocke) wrote :

With an Nvidia mobile 8400GS (on a Dell XPS M1330 running Intrepid 64-bit), it happens for me with both the 177 and 173 drivers.

I have almost a 100% reproducibility rate in CompizConfig Settings Manager (clicking a plugin to show its settings), but the worst thing is Firefox, since I use it more often...

Changed in compiz:
milestone: none → ubuntu-8.10
Changed in nvidia-graphics-drivers-177:
milestone: none → ubuntu-8.10
Changed in compiz:
status: Confirmed → Fix Released
Martin Pitt (pitti)
Changed in nvidia-graphics-drivers-177:
milestone: ubuntu-8.10 → none
status: Confirmed → Won't Fix
Changed in nvidia-graphics-drivers-177:
status: Confirmed → Invalid
enubuntu (enubuntu)
Changed in compiz:
status: Fix Released → Confirmed
enubuntu (enubuntu)
Changed in nvidia-graphics-drivers-180:
status: New → Confirmed
Changed in compiz:
milestone: ubuntu-8.10 → ubuntu-9.04
status: Confirmed → Triaged
Changed in compiz-fusion-plugins-main:
status: Unknown → New
Changed in compiz:
status: Unknown → In Progress
Anders Kaseorg (andersk)
description: updated
Changed in compiz-fusion-plugins-main (Ubuntu):
status: New → Fix Released
Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Confirmed → Fix Committed
assignee: nobody → christian-wilhelmsen87
status: Fix Committed → Confirmed
Michael Rooney (mrooney)
Changed in nvidia-graphics-drivers-180 (Ubuntu):
assignee: sinnadyr (christian-wilhelmsen87) → nobody
Changed in compiz (Ubuntu):
status: Triaged → Invalid
Bryce Harrington (bryce)
tags: added: intrepid
Changed in compiz-fusion-plugins-main (Ubuntu Intrepid):
status: New → Won't Fix
Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Confirmed → Invalid
Changed in nvidia-graphics-drivers-180 (Ubuntu Intrepid):
status: New → Invalid
Changed in compiz-fusion-plugins-main (Debian):
status: New → Fix Released
Changed in compiz-fusion-plugins-main (Ubuntu):
assignee: nobody → lynda scheidt (lyndastill007)
summary: - Screen refresh problems with nvidia on intrepid
+ Screen refresh problems with nvidia cards
Ryan Tandy (rtandy)
Changed in compiz-fusion-plugins-main (Ubuntu):
assignee: lynda scheidt (lyndastill007) → nobody
299 comments hidden view all 379 comments
Revision history for this message
ariel cornejo (arielco) wrote :

With Christopher's packages, I still find this happening occasionally in Firefox (flickering between the old and new content after scrolling), apparently when free memory is low. I'm not sure I can replicate it consistently.

Revision history for this message
Adam Strzelecki (nanoant) wrote :

Dave, did you get any response from James Jones? Did anyone tried to contact him using e-mail supplied in the patches?

Revision history for this message
Kiva Laatikko (kivalaatikko) wrote :

I suddenly started to experience this bug when I updated my NVIDIA drivers from NVIDIA-Linux-x86_64-331.79 to >= 340. The only workaround I've found is:

CCSM -> Utility -> Workarounds -> Force complete redraw on initial damage -> check (not sure if this helps)
CCSM -> Utility -> Workarounds -> Force full screen redraws (buffer swap) on repaint -> check

Revision history for this message
Stéphane Verdy (sverdy) wrote :

Good news! We now have a signed CLA in place for James contribution (see comment #331 for background) so James code can finally be merged!

no longer affects: compiz
Revision history for this message
pcworld (pcworld) wrote :

Note that I'm not sure if this problem with the patch has been addressed yet: https://bugs.launchpad.net/compiz/+bug/1288747/comments/91
(If needed, I can test some more with the current version of the patch to see if the issue still exists)

no longer affects: nvidia-graphics-drivers-177 (Ubuntu)
no longer affects: nvidia-graphics-drivers-177 (Ubuntu Intrepid)
no longer affects: nvidia-graphics-drivers-180 (Ubuntu Intrepid)
no longer affects: nvidia-graphics-drivers-180 (Ubuntu)
Changed in compiz:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Christopher Townsend (townsend)
Revision history for this message
Christopher Townsend (townsend) wrote :

@pcworld,

Could you please test some more with the version of Compiz from my PPA? Also, if you do see it, could you please try disabling this in CCSM->OpenGL->X11 Sync objects and see if your stuttering is gone?

Thanks!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.12.0+15.04.20141210.2-0ubuntu1

---------------
compiz (1:0.9.12.0+15.04.20141210.2-0ubuntu1) vivid; urgency=medium

  [ James Jones ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Kyle Brenneman ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Viktor A. Danilov ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Chris Townsend ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Stephen M. Webb ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)
  * libdecoration/CMakeLists.txt: use correct variable for link
    directories (LP: #1392715)
  * Switcher Plugin: renamed a local variable so it does not hide a
    function parameter. (LP: #1101585)
  * added support for multi-arch installations (LP: #1395105, #959282)
  * libcompizconfig: reorder stat() and open() calls to eliminate a race
    condition (LP: #1101608)
  * dodge plugin: avoid potential null pointer dereferences (LP:
    #1101554)
  * PrivateScreen unit tests: added additional assertions to verify the
    tests are run in an expected state (LP: #1101413)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Brandon Schaefer ]
  * Rev 3891 change caused 2 known regressions. (Could be more).
    Reverting. (LP: #1398512, #1393020)
 -- Ubuntu daily release <email address hidden> Wed, 10 Dec 2014 19:52:06 +0000

Changed in compiz (Ubuntu):
status: Invalid → Fix Released
Stephen M. Webb (bregma)
Changed in compiz:
status: In Progress → Fix Committed
milestone: none → 0.9.12.1
Revision history for this message
Ryan Tandy (rtandy) wrote :

Hi,

The problem I described in comment #334 still happens.

https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/269904/comments/334

Reproduced with:
vivid daily-live dated 20141218,
compiz 1:0.9.12.0+15.04.20141210.2-0ubuntu1 (via "apt-get update && apt-get dist-upgrade"),
nvidia-304 304.125-0ubuntu1 (via "ubuntu-drivers autoinstall").

The GPU, according to lspci, is: 00:0d.0 VGA compatible controller: NVIDIA Corporation C61 [GeForce 6150SE nForce 430] (rev a2)

If I turn off X11 Sync for the opengl plugin, everything works as before.

Do you want me to file a separate bug about that?

Revision history for this message
Kyle Brenneman (kyle-brenneman) wrote :

That sounds like it's probably a different bug that's been uncovered by this change, so I think a separate bug would be appropriate. If you've still got a system handy that can reproduce it, the log from nvidia-bug-report.sh would also be helpful.

Revision history for this message
Ryan Tandy (rtandy) wrote :

Filed as bug 1404015.

Revision history for this message
Johan Boule (johan-boule) wrote :

I confirm that applying the patch 0.9.12/revision/3916 solves the partial-redraw / flickering issues on utopic with nvidia driver 346.22 on a geforce gt 740 card.

Revision history for this message
Lino Barreca (linobarreca) wrote :

My firefox (35) really became unusable... screen doesn't refresh at all when switching tabs..problem isn't on the page only but on the firefox's window as well (like on the active tab and scrollbars redrawing)....

nvidia-updates 304.125 on NVIDIA G73M [geForce Go 7600] with 3.16.0.29-generic

Revision history for this message
Martins Jakubovics (martins-k) wrote :

Today (26.01.2015) Ubuntu 14.04 x64 upgrade my compiz and flickering are back ...

~$ compiz --version
Compiz 0.9.11.3

Nvidia driver 346.35 GeForce GT 610

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Christopher: this bug is missing the SRU template https://wiki.ubuntu.com/StableReleaseUpdates#SRU_Bug_Template

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu Trusty):
status: New → Confirmed
Changed in compiz-fusion-plugins-main (Ubuntu Trusty):
status: New → Confirmed
description: updated
1 comments hidden view all 379 comments
Revision history for this message
Nate Olander (aeves-nate) wrote :

Same here on Ubuntu 14.04.1 (AMD64) running Compiz 0.9.11.3 & using the nvidia-340 drivers (from xorg-edgers) for my GTX 750Ti - definitely been a recent update that caused this, I wasn't having issue prior to the recent kernel upgrade that I ran ~3-4 days ago.

As a side-note about that upgrade, I had to run it as sudo apt-get dist-upgrade. That might be the root of these evils, perhaps the kernel upgrade broke NVIDIA's drivers a bit?

Revision history for this message
Mateo Salta (mateo-salta) wrote :

Just had it happen on trusty 64bit, on a GeForce GTX 760, happend after update to nvidia-340 v. 340.29

A setting in CompizConfig has helped the issue: Under "Workarounds" check "Force full screen redraws (buffer swap) on repaint"

Stephen M. Webb (bregma)
Changed in compiz:
status: Fix Committed → Fix Released
Revision history for this message
Johan Boule (johan-boule) wrote :

I see a new compiz package version 1:0.9.12.0+15.04.20150202-0ubuntu1 for Vivid has been published on 2015-02-02.
However, according to the changelog of that realease, it does not close bug #269904.
So this raises the question: why has the status changed to Fix Released ? I can't seem to find a published version for Ubuntu 14.10/Utopic for example.
Shouldn't it be changed back to some other status ?

Revision history for this message
Johan Boule (johan-boule) wrote :

OK, now i see that source package compiz 0.9.12.1 has been released. However i'm a bit confused with the launchpad site to determine when this package is scheduled to be built and on which specific binary distributions is it going to land. Where can I see a link between this source release and milestones/distributions ?

Stephen M. Webb (bregma)
Changed in compiz (Ubuntu Trusty):
importance: Undecided → Medium
status: Confirmed → In Progress
Revision history for this message
Chris J Arges (arges) wrote : Please test proposed package

Hello David, or anyone else affected,

Accepted compiz into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/compiz/1:0.9.11.3+14.04.20150122-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote : [compiz/trusty] possible regression found

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of compiz from trusty-proposed was performed and bug 1418264 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and tag 1418264 "bot-stop-nagging". Thanks!

tags: added: verification-failed
Revision history for this message
Christopher Townsend (townsend) wrote :

Bug 1418264 has absolutely nothing to do with the changes for the bug. Re-marking verification-needed.

tags: removed: verification-failed
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz-plugins-main (Ubuntu Precise):
status: New → Confirmed
Mathew Hodson (mhodson)
affects: compiz-fusion-plugins-main (Ubuntu) → compiz-plugins-main (Ubuntu)
Mathew Hodson (mhodson)
no longer affects: compiz-fusion-plugins-main (Ubuntu Trusty)
no longer affects: compiz-fusion-plugins-main (Ubuntu Precise)
no longer affects: compiz-fusion-plugins-main (Ubuntu)
affects: compiz-plugins-main (Ubuntu) → compiz-fusion-plugins-main (Ubuntu)
no longer affects: compiz-plugins-main (Ubuntu)
affects: compiz-fusion-plugins-main (Ubuntu) → compiz-plugins-main (Ubuntu)
Changed in compiz-fusion-plugins-main (Ubuntu):
status: New → Fix Released
Changed in compiz-plugins-main (Ubuntu Trusty):
status: Confirmed → Invalid
Revision history for this message
Ryan (acu192) wrote :

I'd been experiencing this bug for a few days now. It stared after installing the proprietary NVIDIA driver. It was SUPER annoying. But I installed compiz from trusty-proposed and it plagues me no longer!

Before, this bug would show itself once every few minutes. But now, it's been about 4 hours with no sign of it! And I haven't noticed any new bugs either.

Not sure what info you all need, but here's some:

ryan@charles:~$ compiz --version
Compiz 0.9.11.3
ryan@charles:~$ cat /proc/driver/nvidia/version
NVRM version: NVIDIA UNIX x86_64 Kernel Module 340.29 Thu Jul 31 20:23:19 PDT 2014
GCC version: gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1)

Let me know if you need any more info. And thank you so much.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Johan Boule (johan-boule) wrote :

A note about Ryan's comment #364 : compiz --version shows "0.9.11.3". Wasn't the bug supposed to be fixed in 0.9.12.1 ?

Revision history for this message
Johan Boule (johan-boule) wrote :

And also fixed in 0.9.11.4, but not in 0.9.11.3.

Revision history for this message
Stephen M. Webb (bregma) wrote :

A Brief Note on Compiz Versions
==========================

The Ubuntu Compiz package version currently (2015-02-12) in trusty-proposed and which contains the fix is 0.9.11.3+14.04.20150122. This is technically Compiz version 0.9.11.2+bzr3869 with additional changes not yet merged upstream. The merge to upstream Compiz happens after the Ubuntu packages in the trusty-proposed pocket migrates to the trusty-updates pocket. Neither Compiz 0.9.11.3 nor Compiz 0.9.11.4 have been released by upstream yet regardless of how Ubuntu versions its packages, athough one of the devs incorrectly changed the Compiz version string to match the Ubuntu package version.

Ryan did in fact install the first Compiz package available for Ubuntu 14.04 that contains the fix for this bug. In this case, the bug fix was cherry-picked for the Compiz 0.9.11 branch from the main Compiz branch (which is at 0.9.12.1) where it has already been released and tested.

tl;dr

- This bug is fixed in Compiz release 0.9.12.1 (currently available in Ubuntu "Vivid Vervet")
- This bug has also been fixed in the Ubuntu package compiz-1:0.9.11.3+14.04.20150122-0ubuntu1,
   currently in the trusty-proposed pocket and migrating soon to the trusty-updates pocket (and Ubuntu 14.04.2 LTS)
- The fix for this bug will appear in Compiz release 0.9.11.3 when it gets released in the near future

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.11.3+14.04.20150122-0ubuntu1

---------------
compiz (1:0.9.11.3+14.04.20150122-0ubuntu1) trusty; urgency=medium

  [ James Jones ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Kyle Brenneman ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Viktor A. Danilov ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Chris Townsend ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Stephen M. Webb ]
  * Added support for GL_EXT_x11_sync_object OpenGL extension for Nvidia
    based GPUs to avoid screen refresh issues. (LP: #269904)

  [ Michael Thayer ]
  * use correct screen extents for multi-monitor positioning of
    fullscreen windows (lp: #1353675) (LP: #1353675)
 -- Ubuntu daily release <email address hidden> Thu, 22 Jan 2015 14:51:56 +0000

Changed in compiz (Ubuntu Trusty):
status: Fix Committed → Fix Released
Revision history for this message
Adam Conrad (adconrad) wrote : Update Released

The verification of the Stable Release Update for compiz has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Eloy Paris (peloy-chapus) wrote :

The version of compiz that landed in trusty-updates (1:0.9.11.3+14.04.20150122-0ubuntu1) with the fix for this bug causes compiz process high CPU and UI freeze right after logging in, making the system unusable. I no longer experience these problems after downgrading to the previoius version in trusty-updates (1:0.9.11.3+14.04.20141104-0ubuntu1).

I have filed LP#1424013 to track what what to me looks like a regression.

I am using the nvidia-304 driver because my NVIDIA card is not supported in more recent versions of the NVIDIA driver.

Revision history for this message
Martin Marshalek (martytm42) wrote :

Is this fix coming to Utopic? I'm running 14.10 fully updated with the 346 drivers and compiz 0.9.12 and can confirm that the bug is still present. Are there plans for 0.9.12.1 to be backported from Vivid or the patch added to the Utopic branch?

Here's any relevant info:
marty@MartyM-8570w:~$ compiz --version
Compiz 0.9.12
marty@MartyM-8570w:~$ cat /proc/driver/nvidia/version
NVRM version: NVIDIA UNIX x86_64 Kernel Module 346.35 Sat Jan 10 21:27:15 PST 2015
GCC version: gcc version 4.9.1 (Ubuntu 4.9.1-16ubuntu6)

Thank you!

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu Precise):
status: New → Confirmed
Revision history for this message
Johan Boule (johan-boule) wrote :

Is the fix having difficulties coming to the utopic distribution ?

I'm still trying to figure out why i can't find it : I go to this page http://packages.ubuntu.com/utopic/compiz
then click on the changelog link, then try to find this bug number, 269904, and it's not there.

Also, when I issue the command "aptitude versions compiz", the only version available is 1:0.9.12+14.10.20140918-0ubuntu1.
I my apt sources.list, i have :
- "utopic main restricted universe multiverse"
- "utopic-updates main restricted universe multiverse"
- "utopic-backports main restricted universe multiverse"

So, can someone confirm the fix is still not released to utopic ?

I've living with a customed patched version of 0.9.12.0 for nearly 5 months now.

tags: added: utopic
Revision history for this message
Johan Boule (johan-boule) wrote :

I set up a reminder to check this issue once again on Utopic. So, today I went to http://packages.ubuntu.com/utopic/compiz, clicked on the Changelog link, searched for #269904, and didn't find it.

Tank you Mateusz for having added an utopic tag to this issue.

However as time passes, I can't help but think this bug will never be officially fixed on Utopic, since its "end of life" date is just two months from now.

You may just mark it as "Won't fix" for Utopic.

Revision history for this message
Malachi de AElfweald (malachid) wrote :

I just upgraded to 17.10 and am seeing the same problem with 0.9.13.1+17.04.20170109-0ubuntu1

Revision history for this message
Malachi de AElfweald (malachid) wrote :

I was just able to fix it on 17.10 by opening 'NVIDIA X Server Settings', going to 'X Screen 0':'OpenGL Settings' and unchecking 'Allow Flipping'.

Problem immediately stopped.

Revision history for this message
Brian Murray (brian-murray) wrote : Re: [Bug 269904] Re: Screen refresh problems with nvidia cards

On Fri, Apr 28, 2017 at 01:24:42AM -0000, Malachi de AElfweald wrote:
> I just upgraded to 17.10 and am seeing the same problem with
> 0.9.13.1+17.04.20170109-0ubuntu1

Please open a new bug report then as this is about a quite older version
of Ubuntu.

--
Brian Murray

Revision history for this message
Steve Langasek (vorlon) wrote :

The Precise Pangolin has reached end of life, so this bug will not be fixed for that release

Changed in compiz (Ubuntu Precise):
status: Confirmed → Won't Fix
Changed in compiz-plugins-main (Ubuntu Precise):
status: Confirmed → Won't Fix
Displaying first 40 and last 40 comments. View all 379 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.